---------------------------------------------------------------------------
-- ProLevels - light weight professions notifier
-- Version 1.0 28-01-2016
-- Author : RealID ReverendDave#2976
---------------------------------------------------------------------------

local ProLevels_MAX = 700

local function print(msg)
	DEFAULT_CHAT_FRAME:AddMessage("ProLevels : " .. tostring(msg))
end

function ProLevels_OnEvent(self,event,...)

	if (event == "ADDON_LOADED") then
		local name = ...
		print(name)
		if (name == "ProLevels") then
			self:UnregisterEvent("ADDON_LOADED")
			print("Version 1.1")
			ProLevel_DoProfessions()
		end
	elseif (event == "CHAT_MSG_SKILL") then
		ProLevel_DoProfessions()
	end
end

function ProLevel_DoProfessions()
local p1,p2,arch,fish,cook,aid = GetProfessions()
		
	if not (p1 == nil) then
		ProLevel_CheckProfession(p1)
	end
	if not (p2 == nil) then
		ProLevel_CheckProfession(p2)
	end
	if not (arch == nil) then
		ProLevel_CheckProfession(arch)
	end
	if not (fish == nil) then
		ProLevel_CheckProfession(fish)
	end
	if not (cook == nil) then
		ProLevel_CheckProfession(cook)
	end
	if not (aid == nil) then
		ProLevel_CheckProfession(aid)
	end
end

function ProLevel_CheckProfession(index)
local name,_,lvl,max = GetProfessionInfo(index)
			
	if ((lvl >= (max - 5)) and max < ProLevels_MAX) then
		print("|cffFF0000WARNING: " .. name .. " at " .. lvl .. " of " .. max)
	end
end

function ProLevels_OnLoad(me)
	me:RegisterEvent("ADDON_LOADED")
	me:RegisterEvent("CHAT_MSG_SKILL")
end